blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
e98b38c482ba22cc88a39e10d34472b9ea183f74
Shell
ollej/dokku-fonts
/subcommands/add
UTF-8
605
3.765625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash set -eo pipefail; [[ $DOKKU_TRACE ]] && set -x source "$PLUGIN_CORE_AVAILABLE_PATH/common/functions" fonts_add_cmd() { declare desc="Adds font to app" declare cmd="fonts:add" argv=("$@") [[ ${argv[0]} == "$cmd" ]] && shift 1 declare APP="$1" declare FONT_FILE="$2" local FONTS_PATH="$D...
true
87c8f6b404f6f8bf82b94f4fb8494cbaa786e094
Shell
Lapinnoir/ITS10_TPLINUX
/ITS10_Gazaube_François.sh
UTF-8
3,210
3.3125
3
[]
no_license
#!/bin/bash echo "Créée par :" echo "GAZAUBE François" echo "le 02/03/2018 " echo "______________________________" #Commande qui permet de créer de nouveaus utilisateur avec un fichier hom et bash et mot de passe chiffré grâce à openssl #adduser --force-badname JimMorrison useradd JimMorrison -m -s /bin/bash -p "`op...
true
4f5b4d02e56e7ec8d15ce5d878d50697058b418d
Shell
urbania-media/micromag-js
/scripts/prepare-package.sh
UTF-8
1,325
4.09375
4
[]
no_license
#!/bin/bash # Help usage() { echo "Usage: $0 [--scss|-s]" } # Transform long options to short ones for arg in "$@"; do shift case "$arg" in "--help") set -- "$@" "-h" ;; "--scss") set -- "$@" "-s" ;; *) set -- "$@" "$arg" esac done # Set defaults scss=false languages="e...
true
1a7a405093d31ad294fe3f6d81456a206cdc602d
Shell
fenix-soft/fmeteo
/tools/deg2card
UTF-8
1,205
2.921875
3
[]
no_license
#!/bin/bash # simple script to convert degrees to cardinal direction wind # V1.2 # n=$1 if (($(echo "$n>= 0" | bc))); then W_nc="N"; fi; if (($(echo "$n>= 11.25" | bc))); then W_nc="N-NE"; fi; if (($(echo "$n>= 33.75" | bc))); then W_nc="NE"; fi; if (($(echo "$n>= 56.25" | bc))); then W_nc="E-NE"; fi; if (($(e...
true
efaac8973fc3c541290cbca3d243e08cf2a213fd
Shell
arnognulf/dotfiles
/dogeview/dogeview.sh
UTF-8
14,325
2.890625
3
[]
no_license
#!/bin/bash # # Copyright (c) 2021 Thomas Eriksson <thomas.eriksson@gmail.com> # # Permission is hereby granted, free of charge, to any person obtaining a copy # of this software and associated documentation files (the "Software"), to deal # in the Software without restriction, including without limitation the rights #...
true
050d190395e45161e94464c6d5e8045228fe985e
Shell
yoohahn/wg-roulette
/run.sh
UTF-8
1,746
3.6875
4
[]
no_license
#!/bin/bash FORCE_NEW=${FORCE_NEW:-0} WG_PATH="/etc/wireguard" [ "$DEBUG" ] && WG_PATH=$PWD LOG_FILE="/var/log/wg-roulette.log" WG_INTERFACE=${WG_INTERFACE:-wg0} WG_LOCATION="$WG_PATH/$WG_INTERFACE.conf" WG_CONFIG_FOLDER=${WG_CONFIG_FOLDER:-conf} ## My VPN provider has an internal ip that I can ping to verify that my t...
true
1f65e898c669c727dc52f57708cb83799553a8a9
Shell
nitikeshs58/ShellScript
/09Dictionary/birthMonth.sh
UTF-8
262
3.203125
3
[]
no_license
#!/bin/bash -x declare -A result monthKey=0 for (( counter=0; counter<=50; counter++ )) do monthKey=$((RANDOM%12+1)) result[$monthKey]=$((${result[$monthKey]}+1)) done echo "Month of persons birth :" ${!result[@]} echo "BirthDate in that month:" ${result[@]}
true
67b2347e640cb545724be703af5da3f002d9d122
Shell
JSchulleratWork/azure-blueprints-1
/scripts/StandardOSUpgrade.sh
UTF-8
816
3.109375
3
[ "LicenseRef-scancode-warranty-disclaimer" ]
no_license
#!/bin/bash - now in LF date +"%b %d %H:%M:%S" echo "Patching OS" sudo apt-get update --quiet sudo apt-get dist-upgrade --quiet --yes sudo apt-get autoremove -qq date +"%b %d %H:%M:%S" echo "Installing aptitude, lynx and moreutils" sudo apt-get install --yes aptitude lynx moreutils date +"%b %d %H:%M:%S...
true
7ed46b9ffab67111f58771338819b1789613a177
Shell
toonetown/build-zeromq
/configs/setup-android.sh
UTF-8
283
3.078125
3
[]
no_license
#!/bin/bash GEN_SCRIPT="${CONFIGS_DIR}/common-standalone-android.sh" [ -n "${ANDROID_NDK_HOME}" -a -x "${ANDROID_NDK_HOME}/ndk-build" ] || { echo "ANDROID_NDK_HOME is not set to a valid location (${ANDROID_NDK_HOME})" return 1 } ANDROID_PLATFORM="${ANDROID_PLATFORM:-26}"
true
e062dc2cf1fcf678edbfa17451de92d50ba3fb46
Shell
Fid04/core-ddos
/configs/status-apache.sh
UTF-8
1,792
3.3125
3
[]
no_license
#!/bin/bash #echo "" > /tmp/apache.dat printf "status\tctime\t\trtime\t\tuptime\tmemoria\tcpu\ttacc\ttkb\n" > /tmp/apache.dat for x in `seq 1 1 305` do # monit lynx -dump -error_file=/tmp/x$$ http://192.168.42.65:2812 &>/dev/null MONIT=`awk '/STATUS/{print $2}' /tmp/x$$ 2>/dev/null` if [ $? != 0 ]; then echo "...
true
1a96fb7d60b239ba10b69475ae77593b094dcd81
Shell
mare-imbrium/film-imdb-import
/fzcast.sh
UTF-8
906
3.5
4
[]
no_license
#!/usr/bin/env bash #=============================================================================== # # FILE: fzcast.sh # # USAGE: fzcast.sh [pattern] # # DESCRIPTION: prints cast of movie from the large imdb dataset (imported into movie.sqlite). # Allows fuzzy selection using fzf...
true
40a49e13cef3690cbd66d6406154e1c3b436adab
Shell
cuilster/Zabbix-Template-IBM-Storage-Storwize-V3700
/ibm_3700_stats_drive.sh
UTF-8
1,953
2.953125
3
[]
no_license
#!/bin/bash . /usr/lib/zabbix/externalscripts/ibm_3700_discovery.sh STORWIZEADDR=$(echo $1) SLOTID=$(echo $2) #START CHAR SLOT ID SCS=$(cat ${REPODIR}/${STORWIZEADDR}.drive.repo | grep -aob 'lot_id' | \grep -oE '^[0-9]+') #END CHAR SLOT ID ECS=$(($SCS + 7)) IFS=' ' status () { LINE=$(cat ${REPODIR}/${STO...
true
f6122fd020a8a0ef01d0d3fc6d10a3bd8cc489c2
Shell
dhungvi/publiy
/publiy/misc/bash_bin/rb
UTF-8
138
2.546875
3
[]
no_license
#! /bin/bash echo "Looking for $1 in $2" awk "BEGIN{mark=\"$1\"; markseen=0;} \$0 ~ mark {print last; exit 0} /###/ { last=\$7}" $2
true
d49ab9be68b995aa0f27fc94db6e61b7acd75343
Shell
mkpankov/shurik
/ci/after_success.sh
UTF-8
496
3.03125
3
[]
no_license
#!/bin/sh set -e set -u set -x . ./environment if [ "$RUN_TYPE" = "deploy" ]; then HOST='user@host' ssh "$HOST" 'rm -f shurik_new' scp ./ci/wait_deploy_run.sh "$HOST:" scp ./target/debug/shurik "$HOST:shurik_new" scp /usr/lib/x86_64-linux-gnu/libssl.so.1.0.0 "$HOST:" scp /usr/lib/x86_64-lin...
true
17de1a9c4a107db09a99ae899143b7330b695edf
Shell
TeamNexus/android_device_samsung_zero-common
/synapse/config.json.generate.vm
UTF-8
2,941
2.96875
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference", "LicenseRef-scancode-proprietary-license" ]
permissive
#!/system/bin/sh cat << CTAG { name: "Virtual Machine", elements:[ { SPane:{ title:"dirty_background_bytes", description:" Dirty background memory buffer, more you set, more memory will be used for write buffer for background operations, buffer is released on need to free RAM. Default is maxim...
true
4648565f074968d8c66f7106fc35112114cfddde
Shell
mantissahz/rook
/cluster/examples/kubernetes/ceph/import-external-cluster.sh
UTF-8
4,977
3
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e ############## # VARIABLES # ############# MON_SECRET_NAME=rook-ceph-mon CSI_RBD_NODE_SECRET_NAME=rook-csi-rbd-node CSI_RBD_PROVISIONER_SECRET_NAME=rook-csi-rbd-provisioner CSI_CEPHFS_NODE_SECRET_NAME=rook-csi-cephfs-node CSI_CEPHFS_PROVISIONER_SECRET_NAME=rook-csi-cephfs-provisioner RGW_ADMIN_OPS_U...
true
60eb368094d46d963fd658cdda1bc5663b9f16e7
Shell
schen0x/dockers
/dont-starve-server/backup_handler.sh
UTF-8
295
3.078125
3
[]
no_license
#!/bin/bash # usage: sh ./backup_handler.sh $SERVER_IP HOST="root@$1" BACKUP_SCRIPT_FILE="./run_dedicated_server_backup.sh" echo "try to backup save files for HOST: $HOST" if ssh "$HOST" < $BACKUP_SCRIPT_FILE; then scp "$HOST:/tmp/cluster_content_backup.zip" ./cluster_content_backup.zip fi
true
8d27945d0ee47660ae378c480bd6f6f4f7132610
Shell
fengjixuchui/dc2020q-keml-public
/interaction/check.sh
UTF-8
264
2.53125
3
[]
no_license
#!/bin/bash -e exit 0 # TODO: RESULT=$(echo "ls -1 /\nexit\n" | nc "$1" "$2") echo "---------" >/dev/stderr echo "$RESULT" >/dev/stderr echo "----------" >/dev/stderr echo "$RESULT" | grep -i "seconds" echo "$RESULT" | grep "etc" echo "$RESULT" | grep "root"
true
91be76cf4d9273d7560a069e40424a529356a235
Shell
linuxhenhao/shell
/gae_profile_change
UTF-8
1,273
3.390625
3
[]
no_license
#!/bin/bash profile='/opt/gappproxy/proxy.ini' ip_server="ipdetect.dnspark.com" ip_line="address" set=$(grep profile\ = $profile); function switch() { if [ ! $(echo $set |grep ipv6|wc -L) -eq 0 ];then #now there is no ipv6 in $set,so ,it's ipv4;change to ipv6 echo "<<<switch from ipv4 to ipv6 profile ..." set_pr...
true
e7225fe9d07fd2011f9e6199dd5ab0bfea764825
Shell
lightning-zb/brainfuck
/extended-brainfuck-type-i
UTF-8
751
3.40625
3
[]
no_license
#!/usr/bin/env bash cat > "$1.c" << EOF #include <stdint.h> #include <stdio.h> int main(){ uint8_t t[65536] = {0}; // tape uint16_t p = 0; // pointer uint8_t s = 0; // storage int i; EOF while read -n1 char; do case "$char" in \>) echo '++p;';; \<) echo '--p;';; \+) echo '++t[p];';; \-) echo '--t[p];';; \...
true
7a047e8bb106e6d7865a42eb631c6837a7fbaa98
Shell
jijeesh/shellscripts
/test/RootHelper.sh
UTF-8
402
3.375
3
[]
no_license
#!/usr/bin/env bash function usage() { printf "%b \a\n\nRootHelper" } usage printf "%b" "\a\n Please select the options" PS3='Please enter your choice: ' options=("Help" "Clean UP" "Quit") select opt in "${options[@]}" do case $opt in "Help") usage printf "%b\n" ;; "Q...
true
cf9b7957c87cf2fcddc3ef8661c160bd5432d74f
Shell
yuta139k/dotfiles
/zshrc
UTF-8
3,493
2.9375
3
[ "MIT" ]
permissive
# Path to your oh-my-zsh configuration. ZSH=$HOME/.oh-my-zsh # Set name of the theme to load. # Look in ~/.oh-my-zsh/themes/ # Optionally, if you set this to "random", it'll load a random theme each # time that oh-my-zsh is loaded. ZSH_THEME="candy" # ZSH_THEME="imajes" # Set to this to use case-sensitive completion ...
true
c4c6fa95c9ec40ec8d886191d413a687e7c66399
Shell
hlibbabii/log-recommender-cli
/vocab/freqs
UTF-8
1,373
3.640625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash #------------------------------------------------------------------------------------ set -e # Fail on first error # Some useful global variables and constants CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )" SCRIPT_NAME="$0" REAL_CURRENT_DIR=$(readlink -f "$CURRENT_DIR...
true
b9bb86285e739e38ac2aa4b1c9d5af73961e1094
Shell
kowshikajay/Unixworkbench
/guessinggame.sh
UTF-8
723
3.796875
4
[]
no_license
#!/usr/bin/env bash function guessinggame { local status=1 local exit_val=0 local file_cnt=$( ls -lth | wc -l) while [[ $status -ne $exit_val ]] do echo "Enter a value # of files in Current Directory" read user_input if [[ $user_input =~ ^[0-9]+$ || $user_input =~ ^-[0-9]+$ ]] then if [[ $user_input -eq...
true
65ea0d5e3e9da3ae1b0674dc23c434025d7addb7
Shell
schlomo/chromebooks-in-deutschland
/aws/cloudrail.sh
UTF-8
838
2.609375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash if [ "$(basename $(pwd))" = aws ]; then cd .. fi AWS_ACCOUNT_ID=$( aws sts get-caller-identity --query Account --output text || \ docker run --rm -e AWS_DEFAULT_REGION -e AWS_CONTAINER_CREDENTIALS_RELATIVE_URI amazon/aws-cli sts get-caller-identity --query Account --output text ) exec \ doc...
true
0b9c1a7c66daffd380bc76725967a0f68b61a4e1
Shell
msjithin/monoHiggs_tautau_channel
/smhtt_tt_2018v3/runAnalyzer.sh
UTF-8
921
3.234375
3
[]
no_license
#!/bin/bash set -e # exit when any command fails # keep track of the last executed command trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG # echo an error message before exiting trap 'echo "\"${last_command}\" command filed with exit code $?."' EXIT unset DISPLAY f_exe="executable_tt" if [ -...
true
a563b3aff3b4075ee8c07d207295a6b5ab65b7a5
Shell
ubob74/display
/driver/st_run_test.sh
UTF-8
338
3.5
4
[]
no_license
#!/bin/bash set -e MODULE_NAME=st FILE=$MODULE_NAME.ko FILES="$FILE clock" if [ $# -ne 2 ]; then printf "Usage: %s <ftp address> <test name>\n" $0 exit 1; fi echo $1 $2 PREFIX=$2 for i in $FILES; do test -f $i && rm -f $i ftpget $1 $i $PREFIX/$i done rmmod $MODULE_NAME test -f $FILE && insmod $FILE mdev -s...
true
6e63cef07cd71ae955a1b21e19c429ee2fcd12e3
Shell
sunwei/git-crypt
/sync.sh
UTF-8
665
3.640625
4
[ "MIT", "Apache-2.0" ]
permissive
#!/bin/bash set -e _check_dependence() { command -v gpg2 > /dev/null 2>&1 || ( echo "> gpg2 required." && exit 1 ) command -v scp > /dev/null 2>&1 || ( echo "> scp required." && exit 1 ) command -v ssh > /dev/null 2>&1 || ( echo "> ssh required." && exit 1 ) } _export_private_key(){ gpg2 --list-secret-keys ...
true
5c65913c42afe6bda2add0745b311a239820343a
Shell
SoxKeepYouWarm/Software-Defined-Routing
/test_network/run.sh
UTF-8
1,083
2.828125
3
[]
no_license
#!/bin/bash export control_port_one="40000" export data_port_one="1000" export router_port_one="2000" export control_port_two="40001" export data_port_two="1001" export router_port_two="2001" export control_port_three="40002" export data_port_three="1002" export router_port_three="2002" export control_port_four="40...
true
3389f388d5040e5aa8a9046004da7caa478b2285
Shell
mtho11/mazz-basement
/server-scripts/config-vm-autostart.sh
UTF-8
1,040
4.53125
5
[]
no_license
#!/bin/bash err() { echo; echo; echo -e "\e[97m\e[101m[ERROR]\e[0m ${1}"; shift; echo; while [[ $# -gt 0 ]]; do echo " $1"; shift; done echo; exit 1; } # Checking if we are root test "$(whoami)" = "root" || err "Not running as root" case $1 in yes) # get all VMs that are not currently config...
true
783250f3b870bc6ff5b8e9a89eed0bc0d383d409
Shell
JohnOmernik/zetaextra
/kafka/kafka-0.10.2.0.vers
UTF-8
2,027
3.265625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash APP_VER="0.10.2.0" APP_TGZ="kafka-mesos-${APP_VER}.tgz" APP_URL_ROOT="https://archive.apache.org/dist/kafka/${APP_VER}/" APP_URL_FILE="kafka_2.10-${APP_VER}.tgz" APP_URL="${APP_URL_ROOT}${APP_URL_FILE}" REQ_APP_IMG_NAME="buildbase" APP_GIT_URL="https://github.com" APP_GIT_USER="mesos" APP_GIT_REPO="...
true
5efd697af72afdd5ca76e63c23364d330bb83017
Shell
erda-project/erda
/build/scripts/cluster-agent/shell-setup.sh
UTF-8
651
2.828125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e mkdir -p /nonexistent mount -t tmpfs tmpfs /nonexistent usermod -d /nonexistent nobody >/dev/null cd /nonexistent mkdir .kube cat <<EOF > .kube/config apiVersion: v1 kind: Config clusters: - cluster: api-version: v1 server: "https://${KUBERNETES_SERVICE_HOST}:${KUBERNETES_SERVICE_PORT}" ...
true
e28bf5c815d4488dc3474c426cffd387bc1d35cf
Shell
RolfSievert/dotfiles
/home/.scripts/quick_notes/notes.sh
UTF-8
1,382
3.78125
4
[]
no_license
#! /bin/sh # # notes.sh # EDITOR=nvim ROFI_THEME=( -theme-str 'window { width: 16%; }' #-theme-str 'listview { lines: 0; }' -theme-str 'element-text { horizontal-align: 0.5; }' -theme-str 'entry { horizontal-align: 0.5; }' -theme-str 'inputbar { children: [ entry,case-indicator ]; }' ) ROFI_OPTIO...
true
9670c67bb932beb911de288c089fef077ed8fa77
Shell
herrsergio/spacereplace
/install
UTF-8
941
3.671875
4
[]
no_license
#!/bin/bash # spacereplace v1.0.1 - a script to change spaces into underscores. Script by Richard van Kampen, july 2005 # echo "" echo "spacereplace v1.0.1" echo "" echo "This script changes all spaces in file and directory names with underscores. Very handy to get rid of spaces in file names in your collection of down...
true
1159bef000530f8819eaa503328387f6d2d31aaa
Shell
iganari/try-nodejs
/opsfiles/vagrant/playbook/roles/jenkins/templates/install.sh
UTF-8
358
2.96875
3
[]
no_license
#!/bin/bash set -x : "add the key for the Debian package repository of Jenkins" & { wget -q -O - http://pkg.jenkins-ci.org/debian/jenkins-ci.org.key | sudo apt-key add - } : "add the following entry" & { echo 'deb http://pkg.jenkins-ci.org/debian binary/' >> /etc/apt/sources.list } : "Install Jenkins" & { apt-get -...
true
41d45beb6230ad3ffbb5975e803834344808db0d
Shell
HDZD/Fake-Auth-MAC-Flooding
/fake_auth.sh
UTF-8
495
3.34375
3
[]
no_license
if [ $# -ne 3 ];then echo 'Invalid Usage' echo 'fake_auth.sh number_of_fake_addresses target_network_bssid adapter_name' exit fi for (( i=0;i<$1;i++ )) do mac='' for (( j=0;j<6;j++ )) do num=$RANDOM (( num %= 9 )) mac=$mac$num num=$RANDOM (( num %= 9 )) ...
true
67bd5f83fa0f328af7dd056a9941e6c8716c5970
Shell
inghamemerson/dotfiles
/.bash_aliases
UTF-8
1,324
3.390625
3
[]
no_license
# Use `hub` as our git wrapper: # http://defunkt.github.com/hub/ hub_path=$(which hub) if which hub > /dev/null; then alias git=$hub_path fi alias cph="pwd | pbcopy" # The rest of my fun git aliases alias gl='git pull --prune' alias glog="git log --graph --pretty=format:'%Cred%h%Creset %an: %s - %Creset %C(yell...
true
b0711c9955ae83e2d60e78e8e2f48f0c79c7e895
Shell
veltzer/demos-bash
/src/apps/whiptail/menu.bash
UTF-8
376
3.71875
4
[ "MIT" ]
permissive
#!/bin/bash -u # This is an example of how to use whiptail(1) to show dialogs # from bash scripts # References: # - https://pseudoscripter.wordpress.com/2012/10/16/whiptail-using-a-menu/ result=$(whiptail --menu "title of menu" 15 50 5 1 a 2 b 3 c 3>&2 2>&1 1>&3) code=$? if [ $code -eq 0 ] then echo "you chose [$res...
true
a0ac5f088ecddc1c9673cde2f6a88476cfa46ba1
Shell
cdesterke/chip2heat
/chip2heat.sh
UTF-8
2,480
3.75
4
[ "MIT" ]
permissive
#!/bin/bash ## chip2heat.sh ## Christophe Desterke_oct2019 ## Dependencies: python > 3.7.3 deeptools > 3.3.1 ## parameters : $1 : bigwig file ; $2 : bed file ##usage: sh chip2heat.sh exemple.bigwig exemple.bed variable=${1} if [ -z "${variable}" ] then echo "BIGWIG file not passed as parameter" exit 1 fi variable=...
true
521a98f73dbb8a6025f77331afaa35b547e29623
Shell
LesserChance/rpi-radio
/install/radio_service.sh
UTF-8
500
3.125
3
[]
no_license
#!/bin/bash # creates the rpi_radio service file BASE_DIR="$(dirname "$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )")" cat <<-EOF | sudo tee /etc/systemd/system/radio.service >/dev/null [Unit] Description=radio After=network-online.target Wants=network-online.target [Service] # Command to execute w...
true
e886bbdf16fe12937b9a9c738d852326d9af804f
Shell
marcmunro/pgsodium
/test.sh
UTF-8
818
3.46875
3
[ "ISC", "PostgreSQL" ]
permissive
#!/bin/bash set -e versions=${1:-13 12 11 10} for version in $versions do for config in '-c shared_preload_libraries=pgsodium' '' do DB_HOST="pgsodium-test-db-$version" DB_NAME="postgres" SU="postgres" EXEC="docker exec -it $DB_HOST" TAG="pgsodium/test-$version" echo building test image $DB_HOST doc...
true
2269601fa0cb91cad463cccbf04a256ccd6aca49
Shell
xaniadakis/travelMonitor
/script/create_infiles.sh
UTF-8
1,619
4.25
4
[]
no_license
#!/bin/bash inputfile=$1 inputdir=$2 numfilesperdir=$3 #check if directory exists and print error if [ -d "$inputdir" ]; then echo "\"$inputdir\" directory already exists." exit 1; fi #create parent directory mkdir $inputdir #declare associative arrays declare -A countries declare -A limit declare -A counter dec...
true
890d7b8c78596a9dc8aedf479f3d7c5eaf220197
Shell
hartwigmedical/qc-checks
/pipeline/perform_hmf_pipeline_qc
UTF-8
4,461
3.875
4
[]
no_license
#!/bin/bash setpath=$1 HEALTHCHECKLOGS_DIR=/data/common/dbs/healthchecklogs/ SNPCHECK_VCFS_DIR_UMC=/data/common/snpcheck/archive/32SNPtaq/samplevcfs/ SNPCHECK_VCFS_DIR_HMF=/data/schuberg/snpcheckvcfupload/ SNPCHECK_SCRIPT=perform_snpcheck CHECKPIPELINE_SCRIPT=check_pipeline_output HEALTHTESTS_SCRIPT=do_healthcheck_qct...
true
a07a2ec92a066b4eb98cb0354da28c9b1be2f57f
Shell
ElRochito/macos-preferences
/init/apps.sh
UTF-8
3,798
2.953125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash if ! [ -x "$(command -v brew)" ]; then echo "Install Homebrew"; xcode-select --install /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" fi export HOMEBREW_CASK_OPTS="--appdir=/Applications" echo "Install Homebrew core formulaes"; brew ...
true
5548fc0093720d5446251ef88e09f49f242cd33c
Shell
zerosuxx/docker-deployer
/bin/update-service
UTF-8
185
2.84375
3
[]
no_license
#!/usr/bin/env bash if [[ -z "$1" ]] || [[ -z "$2" ]]; then echo 'Usage update-service IMAGE SERVICE' exit fi docker service update --with-registry-auth --force --image $1 $2
true
b85fd3e3ed0226fe527f82f246bae8c6779a7c7a
Shell
dbchuck/ServerV3
/reboot2/softether_vpn.sh
UTF-8
5,530
2.890625
3
[]
no_license
#!/usr/bin/env bash set -x # Build cd /opt if [[ ! -f /root/vpnclient.tar.gz ]]; then { curl -L https://github.com/SoftEtherVPN/SoftEtherVPN_Stable/releases/download/v4.29-9680-rtm/softether-vpnclient-v4.29-9680-rtm-2019.02.28-linux-x64-64bit.tar.gz -o vpnclient.tar.gz tar xfz vpnclient.tar.gz cd vpnclient ye...
true
3b811d25b438021f882765296cc92d813cd627e4
Shell
chilts/persona-assistant-site
/scripts/deploy.sh
UTF-8
454
2.671875
3
[ "MIT" ]
permissive
#!/bin/bash ## ---------------------------------------------------------------------------- # # Note: don't use this script (please see the readme.md). # ## ---------------------------------------------------------------------------- set -e echo "Fetching new changes ..." git pull --rebase echo echo "Calling install...
true
4a1ffda654ac282e17d2a59412496a1e843a3325
Shell
delkyd/alfheim_linux-PKGBUILDS
/peru/PKGBUILD
UTF-8
1,066
2.890625
3
[]
no_license
# Maintainer: Andy Weidenbaum <archbaum@gmail.com> # Contributor: Jack O'Connor <oconnor663@gmail.com> pkgname=peru pkgver=1.1.2 pkgrel=1 pkgdesc="A tool for fetching code" arch=('any') depends=('git' 'python' 'python-docopt' 'python-yaml') makedepends=('python-setuptools') optdepends=('mercurial: fetching from hg rep...
true
37057f38cf3653dbb85451963a26afeb7b80e854
Shell
keith/dotfiles
/bin/llvm-format-diff
UTF-8
379
2.84375
3
[ "MIT" ]
permissive
#!/bin/bash set -euo pipefail set -x root=$(git rev-parse --show-toplevel) pushd $root arc_base_commit=${1:-$(arc which --show-base)} git diff-index -U0 "$arc_base_commit" \ | clang/tools/clang-format/clang-format-diff.py -style file -i -p1 # g diff-index -U0 HEAD^ "llvm/tools/llvm-cov/CodeCoverage.cpp" | "clang/t...
true
b9a196cca94adaa489cc13c6817e451f8ad4dd81
Shell
mateusz-hobgarski-red/pxCore
/examples/pxBenchmark/src/mkapp.sh
UTF-8
2,778
3.1875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash #minJS=cp #don't minify minJS=./jsMin.sh #minify externalDir=../../pxScene2d/external if [ "$TRAVIS_EVENT_TYPE" == "cron" ] then bundle=pxbenchmarkEdge.app else bundle=pxbenchmark.app fi bundleBin=$bundle/Contents/MacOS #bundleRes=$bundle/Contents/Resources bundleRes=$bundle/Contents/MacOS bundle...
true
afc8a73799556480736351d88f364659695a1697
Shell
yuukanehiro/Docker-Stack
/WordPress-phpMyAdmin/shell/1_init_Setup_local.sh
UTF-8
1,699
3.40625
3
[]
no_license
#!/bin/bash set -e # スクリプトディレクトリの取得 SCRIPT_DIR=`dirname $0` cd $SCRIPT_DIR # 開発ツールインストール sudo yum groupinstall -y "Development Tools" sudo yum -y install git zip mailx unzip htop rsync tree ## docker-composeインストール echo "docker-composeインストール...Start" && sudo curl -L https://github.com/docker/compose/releases...
true
43797f47ffb21623ecc2664abc7464161c20a15f
Shell
wwatchin/nftables-script
/set-nftables.sh
UTF-8
842
3.140625
3
[ "MIT" ]
permissive
#!/bin/bash DMZ_INTERFACE="eth-dmz" ALLOW_CONNECTIONS=( "10.0.0.100 172.16.0.100 443 tcp" ) TABLE_NAME="FIREWALL" CHAIN_NAME="FILTER" if [ ${UID} -ne 0 ]; then echo "root only." exit fi # flush nft flush ruleset nft add table inet ${TABLE_NAME} # DMZ -> Trust nft add chain inet ${TABLE_NAME} ${CHAIN_NAME...
true
9176d6281efd910b49497cd6a3afed8d6b37c873
Shell
atharwa-24/orbit
/bootstrap-orbit.sh
UTF-8
2,852
3.765625
4
[ "LicenseRef-scancode-free-unknown", "BSD-2-Clause" ]
permissive
#!/bin/bash # # Copyright (c) 2020 The Orbit Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )" echo "Installing required system dependencies..." sudo add-apt-reposi...
true
81e3bb858e1231115fe747607bdfcff7fc8f79d8
Shell
ibara/elvish
/_tools/binaries-travis.sh
UTF-8
460
3.15625
3
[ "BSD-2-Clause" ]
permissive
#!/bin/sh -e # Should be invoked from repo root. Required environment variables: # $TRAVIS_BRANCH $BINTRAY_CREDENTIAL mkdir -p bin if [ "$TRAVIS_BRANCH" = master ]; then export VERSION=HEAD else export VERSION=$TRAVIS_BRANCH fi ./_tools/buildall.sh cd bin cat manifest | while read f; do echo Deploying $f...
true
f1eb5202e139be11deb89db4508130c20cb24d97
Shell
ianamunoz/lightwalletd-z-cash
/create_mainnet_params_volume.sh
UTF-8
419
2.6875
3
[ "MIT" ]
permissive
#!/bin/bash docker volume create mainnet-params docker run --rm -itd \ --mount source=mainnet-params,destination=/home/zcash/.zcash-params \ zcash-hackworks/zcashd-lite:latest bash -c "fetch-params.sh" docker exec -it zcashd-params bash -c "fetch-params.sh" # Verify that fetch-params a success docker exec -it zcash...
true
80533a24457f9cdce68496f2083c3cda6aa61308
Shell
EdlinOrg/captchagenerator
/prepforcolab.sh
UTF-8
550
2.59375
3
[ "MIT" ]
permissive
# Bundle together the code in one file so easily can include it in Colaboratory without having # to install through pip mkdir /tmp/apa cp captchagenerator/*.py /tmp/apa/ rm /tmp/apa/__init__.py echo "# GENERATED DO NOT EDIT!" > /tmp/whatever.py cat /tmp/apa/*.py >> /tmp/whatever.py grep -v "import captchagenerator."...
true
51e28f481c768296686175b5114b3d7720d3400d
Shell
mobilehaskell/hackage-overlay
/scripts/make-patch.sh
UTF-8
2,967
4.25
4
[]
no_license
#!/bin/sh set -e die () { echo "ERROR: $1" >& 2 exit 1 } OVL_OWNER=mobilehaskell OVL_REPO=hackage-overlay OVL_NAME=mobilehaskell usage () { echo "Usage: ${0##*/} <name>-<version> Will roughly perform the following operations: $ git fetch \$hvr/head.hackage $ git checkout -b <name>-<version> \$h...
true
b5510c47a51cdd321fcbf17cc6e3e26dd1029dfd
Shell
nowar-fonts/Warcraft-Font-Merger
/package/mac.sh
UTF-8
1,040
2.671875
3
[ "MIT" ]
permissive
#!/bin/bash set -e cmake . -B build/ \ -DCMAKE_BUILD_TYPE="Release" \ -DCMAKE_INTERPROCEDURAL_OPTIMIZATION:BOOL="ON" \ -DCMAKE_C_COMPILER="clang" \ -DCMAKE_C_FLAGS="-arch x86_64 -arch arm64" \ -DCMAKE_CXX_COMPILER="clang++" \ -DCMAKE_CXX_FLAGS="-arch x86_64 -arch arm64" cmake --build build/ -j$(nproc) source b...
true
9f79ee21afccbd9dd9371c63fdcc021da14d98bb
Shell
puppetlabs/puppetlabs-docker
/templates/update_docker_image.sh.epp
UTF-8
666
3.984375
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Pulls a docker image. # Returns 0 if there a change. # Returns 2 if there is no change. # Returns 3 if something when wrong. # DOCKER_IMAGE=$1 BEFORE=$(docker inspect --type image --format='{{.Id}}' ${DOCKER_IMAGE} 2>/dev/null) <%= $docker_command %> pull ${DOCKER_IMAGE} AFTER=$(docker inspect --type i...
true
20f33c7187b999f5a544a4d67342776e0ee8d953
Shell
nb5p/zsh-path
/zsh-path.plugin.zsh
UTF-8
223
3.078125
3
[ "MIT" ]
permissive
gwd() { case "$PWD" { ($HOME) echo "~" ;; (${HOME:h}) echo "$PWD" ;; (/${PWD:t}) echo "$PWD" ;; (*) echo ${${:-/${(j:/:)${(M)${(s:/:)${(D)PWD:h}}#(|.)[^.]}}/${PWD:t}}//\/~/\~} ;; } }
true
5a92f5b1e08baaa519a900382c80b89d2b5b2f80
Shell
gexuyi/study_ldd3
/3.1_scull/scull.load
UTF-8
722
3.453125
3
[]
no_license
#!/bin/bash # # author: gexuyi # at: 2017-08-06 # brief: # load scull.ko, and mknod some scull for test # # Usage: # ./$0 [config_of_scull_module] # module="scull" device="scull" mode="644" if grep '^staff:' /etc/group > /dev/null; then group="staff" else group="wheel" fi rm -fv /dev/${device}? /sbin/insmod -f ...
true
28b52f25e3252c2352f2b09cc41c9fdb643be591
Shell
vsventy/planfood-server
/ci.sh
UTF-8
533
3.140625
3
[ "MIT" ]
permissive
#!/bin/sh set -o errexit set -o nounset pyclean () { # Clean cache: find . | grep -E '(__pycache__|\.py[cod]$)' | xargs rm -rf } run_ci () { # Compile message files django-admin compilemessages # Run tests: mypy planfood py.test # Check style: black -S --exclude migrations --check . # Check th...
true
50efdba489cd8e638b2bb352f4ce8ca02f4c77b4
Shell
asdf-vm/asdf-nodejs
/bin/install
UTF-8
1,575
3.796875
4
[ "MIT" ]
permissive
#!/usr/bin/env bash set -eu -o pipefail # shellcheck source=../lib/utils.sh source "$(dirname "$0")/../lib/utils.sh" install_nodejs() { local install_type="$1" version="$2" install_path="$3" local args=() version=$(resolve_version "$version") if [ "$install_type" = ref ] || [ "${ASDF_NODEJS_FORCE_COMPILE-}...
true
3fcdf1fa48412725c9127af63a20ef760b44c528
Shell
cfalguiere/ai-demos
/utils/h2o/h2oflowctl
UTF-8
945
3.640625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # tested against a AWS EC2 instance with a Linux 2 VM (Ubuntu) set -eu trap "{ echo 'ERROR - H2O Flow UI action failed' ; exit 255; }" SIGINT SIGTERM ERR # TODO check h2o for existence # TODO check java for existence [[ $# -eq 1 ]] || { echo 'ERROR - H2O Flow missing action'; exit 255; } action=$1 cas...
true
f2def15d6d58ff744034fa83375a73157c16e475
Shell
yorickshan/blogsue
/scripts/install.sh
UTF-8
142
2.84375
3
[]
no_license
#!/bin/bash pwd=$(pwd) base="${pwd}/src/config/" # URL comes from env URL url=$ENV_URL mkdir -p $base curl -s -L $url > "${base}index.js"
true
b637ef32b9eea6c5f9b4bd05a7f968a21e4db6ec
Shell
lalitc18/mysql-backup
/mysql_backup_tool.sh
UTF-8
2,932
3.90625
4
[]
no_license
#!/bin/bash # MySQL backup script single/multilple databases backup. read -p "Backup path [default current dir]: " BKP_PATH BKP_PATH=${BKP_PATH:-`pwd`} NOW="$(date +"%Y-%m-%d_%H-%M-%S")" BKP_DIR="$BKP_PATH/$NOW" read -p "Enter mysql hostname/IP [localhost]: " MYSQL_HOST MYSQL_HOST=${MYSQL_HOST:-localhost} read -p "En...
true
c279ae3e5929fc481cb1e2720bf9c4703ddde206
Shell
gitliver/mybin
/utils/mkv2mp4
UTF-8
199
2.84375
3
[]
no_license
#!/bin/bash inputfile="$1" outputfile=$( echo "${inputfile}" | sed 's/ /_/g; s/\.mkv/\.mp4/g;' ) ffmpeg -i "${inputfile}" -acodec mp3 -vcodec mpeg4 tmp.avi ffmpeg -i tmp.avi $outputfile rm tmp.avi
true
e6f27207404be96a69cd3b21ac777c06e39d67f1
Shell
nmemoto/vscode-extensions
/install-extensions.sh
UTF-8
149
2.9375
3
[]
no_license
#/bin/bash EXTENSIONS_FILE=extensions.list for extension in $(cat ${EXTENSIONS_FILE} | grep -v '^#') do code --install-extension $extension done
true
edb6217bb45370f60b91d389c43f2d00821615da
Shell
libretro/libretro-super
/script-modules/fetch-rules.sh
UTF-8
1,692
3.75
4
[ "MIT" ]
permissive
# vim: set ts=3 sw=3 noet ft=sh : bash # fetch_git: Clones or pulls updates from a git repository into a local directory # # $1 The URI to fetch # $2 The local directory to fetch to (relative) # $3 Recurse submodules (yes, no, clone) # # NOTE: git _now_ has a -C argument that would replace the cd commands in # t...
true
df31f4b5b11e354f7495cb2d7c365006515d25e4
Shell
nds-org/kubeadm-terraform
/assets/bootstrap-storage.sh
UTF-8
618
3.46875
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash mkfs -t ext4 $1 mkdir /data mount -t ext4 $1 /data # It can take a few seconds for the new partition to # be mounted and the filesystem type to be available until [ $(lsblk -o NAME,FSTYPE,UUID,MOUNTPOINT $1 | grep "ext4" | wc | awk '{print($1)}') != 0 ] do echo "Rook partition not yet available" sleep ...
true
ded5661c74fe83cbd2063639e4104ae3d9cfcd47
Shell
tap349/dotfiles
/.config/zsh/plugins.zsh
UTF-8
1,538
2.765625
3
[]
no_license
#******************************************************************************* # # Plugins # #******************************************************************************* #------------------------------------------------------------------------------- # zsh-autosuggestions #---------------------------------------...
true
28bc48fb353f3e40a091c93ef6ebc3af5386be87
Shell
amima-mansour/nm_otool
/tests/tests_mmeisson/test_nm.sh
UTF-8
146
2.609375
3
[]
no_license
#! /usr/bin/env zsh for file in $(\ls $@) do diff <(nm $file) <(./ft_nm $file) || echo $file >> file_error && echo $file >> file_processed done
true
afc6a272bff1461775aa488615fd939ebd0c5caf
Shell
pippo1980/web-socket
/message-server-socket/run_with_confusion
UTF-8
1,021
2.8125
3
[]
no_license
#!/bin/bash PID=`ps -ef | grep 'com.rensea.message.MessageSocketServerRunner' | grep -v ' grep' | awk '{print $2}'` if [ ! -e $PID ]; then echo "PID is $PID" kill -9 $PID else echo "socket server not run" fi #update sources svn up rm -rf message-server-socket-1.1-distribution mvn clean && mvn assembly:directory $1 ...
true
a529bc50eb45b817fabcb694f869e4ca76985cc5
Shell
scfcode/My-Scripts
/aof
UTF-8
693
3.328125
3
[]
no_license
#!/bin/bash aiString="" if [ $# = 1 ]; then aiString="$1" else echo "Usage: aof ai" fi today=`date +"%d"` set cnt="01" if [ -f $HOME/bin/.ai.count ]; then day=`cat $HOME/bin/.ai.count | awk '{print $1}'` cnt=`cat $HOME/bin/.ai.count | awk '{print $2}'` fi if [ "$today" = "$day" ]; then cnt=`expr $cnt +...
true
763759dc4273dc9f62d3df5b104bfd2c9d678d28
Shell
ray-schulz/pasteb
/pasteb
UTF-8
316
2.84375
3
[]
no_license
#!/bin/sh # put this script somewhere like $HOME/bin or /usr/local/bin # set this to your paste bucket URL='http://pasteb.herokuapp.com' # if curl is in some odd place, set this accordinly $CURL='curl' # use it like this: # $ cat bin/pasteb | pasteb # http://pasteb.herokuapp.com/1 $CURL -F 'paste=<-' $URL
true
05d9845cb1fac2442a3bcf36689ac41dac5d9dc9
Shell
dcwangmit01/k6
/master1/provision.sh
UTF-8
1,005
3.390625
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -euo pipefail ## Upgrade apt cache. sudo apt update ## Install tools. sudo apt install -y \ apt-transport-https \ ca-certificates \ curl \ dnsutils \ nmap \ software-properties-common \ vim ## Install Docker for IPv6. groupadd docker if getent passwd vagrant; then usermod -aG...
true
334d88ff388db354a25a396b40d34092376c67ad
Shell
kenferrara/pbis-open
/mklocal/script/dceidl.sh
UTF-8
868
3.109375
3
[ "Apache-2.0" ]
permissive
#!/bin/sh MK_MSG_DOMAIN="dceidl" if [ -z "$DCEIDL" ] then DCEIDL="${MK_RUN_BINDIR}/dceidl" fi if [ -n "$HEADER" ] then OPT_HEADER="-header ${MK_OBJECT_DIR}${MK_SUBDIR}/$HEADER" fi if [ -n "$CSTUB" ] then OPT_CSTUB="-client all -cstub ${MK_OBJECT_DIR}${MK_SUBDIR}/$CSTUB" else OPT_CSTUB="-client none"...
true
004acd4adb2efd33901a63352b1d3aa688aa2aaa
Shell
pingcap/tidb-operator
/deploy/gcp/change-pv-reclaimpolicy.sh
UTF-8
1,013
3.90625
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Set the ReclaimPolicy of persistent volumes bound to PVCs for a TiDB cluster in a given namespace # Inputs: Path to a valid kubeconfig file and the namespace in which the PVCs live. # Run before terraform destroy set -euo pipefail usage="usage: $0 <kubeconfigfile> <namespace>" if (( $# != 2 ));...
true
8b778795ac322754fbbed55529d002eee645ef93
Shell
jgeusebroek/docker-jenkins-docker
/docker-entrypoint.sh
UTF-8
684
3.4375
3
[]
no_license
#!/usr/bin/env bash DOCKER_SOCKET=/var/run/docker.sock DOCKER_GROUP=docker if [ -S ${DOCKER_SOCKET} ]; then # Delete current jenkins user userdel jenkins # Delete current docker group groupdel docker # (Re)create Jenkins user adduser -h /var/jenkins_home -s /bin/bash -u ${JENKINS_UID} -g 'J...
true
9648b59de63c15dd480790ce53941ebe341bfb16
Shell
cherkavi/bash-example
/pentest/connect-to-available.sh
UTF-8
712
3.546875
4
[]
no_license
if [[ $1 == "" ]]; then exit 1 fi POS_BEGIN=`nmcli device wifi | head -n 1 | awk '{print index($0, " SSID ")}'` POS_END=$(( `nmcli device wifi | head -n 1 | awk '{print index($0, "MODE")}'` - 1 )) counter=0 IFS=$'\n' # for loop with spaces in for for each_connection in `nmcli device wifi | tail -n +2 | grep -v "...
true
184a167174479fcdbb7fa9472997905fbec8f8bd
Shell
Nareshchodagam/helm
/repo/repoDemo.sh
UTF-8
666
3.046875
3
[ "Apache-2.0" ]
permissive
function executeInstruction () { INSTRUCTION=$1 echo "Executing below instruction" echo "$INSTRUCTION" echo "" bash -c $INSTRUCTION } function showRepoOptions() { executeInstruction "helm repo" } function listRepo() { clear executeInstruction "helm repo ls" } function addRepo() { ...
true
232a7cb8de0a131a9b49cc3cfb8ec03227d6b83e
Shell
shivammathur/setup-php
/src/scripts/tools/brew.sh
UTF-8
2,362
3.640625
4
[ "CC-BY-SA-4.0", "CC-BY-4.0", "MIT" ]
permissive
# Function to fetch a brew tap. fetch_brew_tap() { tap=$1 tap_user=$(dirname "$tap") tap_name=$(basename "$tap") mkdir -p "$tap_dir/$tap_user" branch="$(git ls-remote --symref "https://github.com/$tap" HEAD | grep -Eo 'refs/heads/.*' | tr '\t' '\n' | head -1 | cut -d '/' -f 3)" get -s -n "" "https://github....
true
c11f4aeaad6a377fbbcfc4b3f131d46986c759de
Shell
LocNguyenHuu/awesome-bigdata-samples
/bin/zk_admin.sh
UTF-8
768
3.75
4
[ "Apache-2.0" ]
permissive
#!/bin/bash hosts="$(pwd)/hosts" echo 'You are executing' $1 ZOOKEEPER_HOME="$(pwd)" case $1 in start) remote_cmd="$ZOOKEEPER_HOME/bin/zkServer.sh start" ;; stop) remote_cmd="$ZOOKEEPER_HOME/bin/zkServer.sh stop" ;; *) echo 'wrong cmd args, please input start/stop' exit 0 ;; esac if [ ! -e ${hosts} ]; t...
true
8a935aa5b8bf1df9cf69c0f58446ffb370f68443
Shell
l0gicpath/TooManyCaptains
/eng.sh
UTF-8
3,525
3.78125
4
[]
no_license
#!/bin/sh dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" set -e # Exit early if any step fails # set -x # Make sure we're NOT running the remote machine context! unset DOCKER_TLS_VERIFY unset DOCKER_HOST unset DOCKER_CERT_PATH unset DOCKER_MACHINE_NAME # Nice bold text bold=$(tput bold) normal=$(tput sgr0)...
true
40dbd266d4e59188b9b8d0025cab778fb101b887
Shell
jakesmith/DeveloperTools
/jcs/docker/hpccbuildfromsrc/hpccbuildsrc/build
UTF-8
649
3.53125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash if [ $# -lt 1 ]; then echo Usage: build BUILDCTX exit 1 fi buildCtx=$(realpath $1) last_docker_id=$(docker inspect --format {{.Id}} jcs/hpccbuildsrc) docker build -t jcs/hpccbuildsrc . docker_id_after_build=$(docker inspect --format {{.Id}} jcs/hpccbuildsrc) if [ "$docker_id_after_build" != "$last_dock...
true
670037aaf0a231b3eb2479855cf177bcd96af462
Shell
isabella232/swift-bson
/etc/release.sh
UTF-8
542
3.828125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # usage: ./etc/release.sh [new version string] # exit if any command fails set -e # ensure we are on master before releasing git checkout master version=${1} # Ensure version is non-empty [ ! -z "${version}" ] || { echo "ERROR: Missing version string"; exit 1; } # regenerate documentation with new vers...
true
f0674d2027571d88172d7bcab87e4cf682d29e1c
Shell
dmalyuta/config-public
/.my_scripts/util/extract-by-extension
UTF-8
4,192
4.125
4
[ "MIT" ]
permissive
#!/usr/bin/env bash # # Originally copied from: # - https://github.com/leofa/dotfiles/blob/master/.bashrc # - https://github.com/robbyrussell/oh-my-zsh/blob/f960e2be6f01abe5f185d668be661b57051322ac/plugins/extract/extract.plugin.zsh # # TODO: Support listing and creating archives and/or unify with archive [1]. # [1] ht...
true
0b2bb2017eb76586b45d7b830654c9a29a2d4539
Shell
simonvc/rightscale-examples-admin
/RightScale API/api1.5/curl-api1.5-servers.sh
UTF-8
846
2.59375
3
[]
no_license
#!/bin/bash -ex # # Api 1.5 :: Server examples # # First run the login script to obtain the authentication cookies. # Once these have been retrieved you can manipulate Rightscale objects. # # Import some variables source ../user-details.sh # Set some useful base variables BASEURL="https://my.rightscale.com" # Get a ...
true
c9cea0e8353ff620b5b4fb611b9d06aabcb92f7f
Shell
felipesv/holberton-system_engineering-devops
/0x04-loops_conditions_and_parsing/7-clock
UTF-8
218
3.28125
3
[]
no_license
#!/usr/bin/env bash # script that displays the time for 12 hours and 59 minutes cnt1=0 while [ $cnt1 -le 12 ] do echo "Hour:" $cnt1 cnt2=1 while [ $cnt2 -le 59 ] do echo $cnt2 ((cnt2++)) done ((cnt1++)) done
true
071c41c7c0fb5bf77ff96892174aab5ee04528a7
Shell
michaellass/AUR
/tvbrowser/PKGBUILD
UTF-8
2,271
2.671875
3
[]
no_license
# Maintainer: Michael Lass <bevan@bi-co.net> # Contributor: Sebastian Sareyko <public@nooms.de> # Contributor: Gergely Imreh <imrehgATgmailDOTcom> # This PKGBUILD is maintained on github: # https://github.com/michaellass/AUR pkgname=tvbrowser pkgver=4.2.7 pkgrel=1 pkgdesc="Java-based TV guide which is easily extensib...
true
2388a7fb4a7d8e34e4946d67223a9dcbaeb23346
Shell
dugrema/millegrilles.consignation
/scripts/backup-mongo.sh
UTF-8
821
3.8125
4
[]
no_license
#!/bin/bash if [ -z $MONGO_PASSWORD ]; then echo Il faut fournir le mot de passe mongo dans MONGO_PASSWORD exit 1 fi BACKUP_MAPPED_FOLDER=/var/lib/backup_docker DATE=`date +"%Y%m%d-%H%M"` BACKUP_ROOT=/mnt/backup # Preparer folder backup sur host BACKUP_LEAF=backup_maple_$DATE mkdir -p "$BACKUP_MAPPED_FOLDER/$BAC...
true
14f69c817adf22bca43eaee1b3f65bc0a7f06756
Shell
khanu263/exploring-mnist-mix
/table.sh
UTF-8
428
3.234375
3
[]
no_license
#!/bin/bash languages={arabic,bangla,devanagari,english,farsi,kannada,swedish,telegu,tibetan,urdu} rm table_res.txt echo "Rows are tested languages. Columns are trained models of language" >> table_res.txt for model in $(eval echo $languages); do for testing in $(eval echo $languages); do tail -1 "test/${testing}_te...
true
690708f3eae62fea227073e5b70183b3ce8968f9
Shell
ESMG/pyroms
/examples/cobalt-preproc/Runoff_bio/interp_sosie/interp_news.bash
UTF-8
509
2.71875
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash export PATH=$PATH:/opt/esm-soft/sosie/bin/ for varname in NO3 LDON SLDON SRDON NDET PO4 LDOP SLDOP SRDOP ; do cat nml.sosie.skel | sed -e "s/<VARNAME>/$varname/g" > nml.sosie.$varname sosie.x -f nml.sosie.$varname rm nml.sosie.$varname done # merge together mv NO3_NEWS-CCS1_clim.nc NEWS-CCS...
true
d5c912c92e7cd3275d06a12ed0f137306ab16e33
Shell
contentful/contentful-management.java
/src/test/bash/upload_fetch.sh
UTF-8
455
3.3125
3
[ "LicenseRef-scancode-unknown-license-reference", "Apache-2.0" ]
permissive
#!/usr/bin/env bash if [ ! -e /tmp/contentful-upload-response ]; then echo 'please run `upload.sh` first.' exit else echo 'Not creating asset again' fi ID="$(grep -sirn '^ "id"' /tmp/contentful-upload-response | cut -d':' -f3 | cut -d'"' -f2)" echo "ID: "$ID set -ev curl \ --request GET \ --header 'Authorizat...
true
b74c1cbd89b5179b9144633b968e1980c25f040a
Shell
GAMMA-UMD/Fast3DScattering-release
/mesh_processing/batch_sample_obj.sh
UTF-8
852
3.578125
4
[]
no_license
display_usage() { echo "This script is used to farthest sample a set of objects." echo -e "\nUsage:\n$0 [path to .obj folder] [path to vcglib executable] [number of samples]\n" } # if less than two arguments supplied, display usage if [ $# -le 2 ] then display_usage exit 1 fi # check whether user ...
true
5a6c97353a3ce6f8d575f38a324f28d2ab5e5083
Shell
alimogh/minimal-json
/com.eclipsesource.json/release.sh
UTF-8
1,422
3.65625
4
[ "MIT" ]
permissive
#!/bin/bash # Script to release to maven central NEXUS_URL=https://oss.sonatype.org/service/local/staging/deploy/maven2/ NEXUS_REPO=sonatype-nexus-staging ID=minimal-json USER_NAME=$(git config user.name) echo "Build and release ${ID}" echo -n "Version: " read VERSION sed -e "s/-SNAPSHOT//; s/HEAD/${VERSION}/" pom....
true
1bed7e24f169586a4908a81786ae2933cd93d32c
Shell
Manu-31/telerasp
/teleinfo
UTF-8
793
3.5625
4
[]
no_license
#! /bin/sh # /etc/init.d/teleinfo # # Installer via update-rc.d teleinfo defaults SRV_PATH=/home/pi/EDF/telerasp/teleinfo.py PYTHON=/usr/bin/python # Some things that run always touch /var/lock/teleinfo PIDFILE=/var/run/teleinfo.pid # Carry out specific functions when asked to by the system case "$1" in start) ...
true
af356f6c968afbb4e93a43e18a5a009167df91a9
Shell
DuyNguyen1879/vDDoS-Layer4-Mapping
/opensource/CloudFlare-API-Whitelist-Botsearch.sh
UTF-8
1,117
3.4375
3
[ "LicenseRef-scancode-warranty-disclaimer" ]
no_license
#!/bin/bash apikey='*************' zone='*************' email='*************@hotmail.com' mkdir -p /vddos/layer4-mapping/cf/whitelist/ iplist_willwhitelist='/vddos/layer4-mapping/cf/whitelist/iplist-willwhitelist.txt' iplist_whitelisted='/vddos/layer4-mapping/cf/whitelist/iplist-whitelisted.txt' ###################...
true
e33d548c5bcf7411bf98ac299c0c66b65b335737
Shell
p15-git-acc/code
/proth/check_proth.sh
UTF-8
446
3.03125
3
[]
no_license
#!/bin/bash # run check_proth # # use 6 cores # ncores=6 c=0 # do 2.5e10 h each time. step=25000000000 # we need h>=10^27/2^45 < 2.85e13 lim=28500000000000 # eliminate those divisible by primes < 14 for((h0=0;h0<$lim;h0+=$step)) do h1=`expr $h0 + $step` ./check_proth $HOME/data/proth/proth_${h0}_${h1}.dat > $HOM...
true
18b51970002898114e8658665a4dcaa235a4507e
Shell
refexchange/Obsidian
/configure_env/centos/configure_env.sh
UTF-8
910
2.71875
3
[ "Apache-2.0" ]
permissive
echo "=============== Obsidian Configuration Script for CentOS =============" sudo yum install -y curl wget git libunwind libicu echo "=============== Cloning git repository ==================" git clone https://github.com/ZA-PT/Obsidian.git echo "=============== Configuring environment ==================" sudo cp ./O...
true